# This file created by conda-build 3.18.11
# meta.yaml template originally from:
# /root/project/packaging/torchvision, last modified Mon Jun 15 18:35:11 2020
# ------------------------------------------------

package:
    name: torchvision
    version: 0.6.1
source:
    path: /root/project
build:
    script: python setup.py install --single-version-externally-managed --record=record.txt
    script_env:
        - CUDA_HOME
        - FORCE_CUDA
        - NVCC_FLAGS
    string: py35_cu101
requirements:
    host:
        - sqlite 3.31.1 h62c20be_1
        - blas 1.0 mkl
        - mkl_random 1.0.1 py35h4414c95_1
        - cudatoolkit 10.1.243 h6bb024c_0
        - xz 5.2.5 h7b6447c_0
        - pip 10.0.1 py35_0
        - libstdcxx-ng 9.1.0 hdf63c60_0
        - pytorch 1.5.1 py3.5_cuda10.1.243_cudnn7.6.3_0
        - mkl 2018.0.3 1
        - mkl_fft 1.0.6 py35h7dd41cf_0
        - python 3.5.6 hc3d631a_0
        - tbb4py 2018.0.5 py35h6bb024c_0
        - tk 8.6.8 hbc83047_0
        - libgfortran-ng 7.3.0 hdf63c60_0
        - certifi 2018.8.24 py35_1
        - numpy 1.15.2 py35h1d66e8a_0
        - wheel 0.31.1 py35_0
        - _libgcc_mutex 0.1 main
        - ncurses 6.2 he6710b0_1
        - numpy-base 1.15.2 py35h81de0dd_0
        - ca-certificates 2020.1.1 0
        - libgcc-ng 9.1.0 hdf63c60_0
        - libffi 3.2.1 hd88cf55_4
        - ninja 1.8.2 py35h6bb024c_1
        - readline 7.0 h7b6447c_5
        - tbb 2020.0 hfd86e86_0
        - libedit 3.1.20181209 hc058e9b_0
        - zlib 1.2.11 h7b6447c_3
        - openssl 1.0.2u h7b6447c_0
        - intel-openmp 2019.4 243
        - setuptools 40.2.0 py35_0
    run:
        - cudatoolkit >=10.1,<10.2
        - numpy >=1.11
        - pillow >=4.1.1
        - python >=3.5,<3.6.0a0
        - pytorch==1.5.1
test:
    commands: pytest . --verbose --junitxml=/root/project/build_results/results.xml
    imports:
        - torchvision
        - torchvision.datasets
        - torchvision.transforms
    requires:
        - av
        - ca-certificates
        - mock
        - pytest
        - scipy
        - typing
    source_files:
        - test
about:
    home: https://github.com/pytorch/vision
    license: BSD
    license_file: LICENSE
    summary: image and video datasets and models for torch deep learning
extra:
    copy_test_source_files: true
    final: true
